((Drupal, once) => {
  Drupal.behaviors.MercuryEdtiorTabsAccordion = {
    toggle(event, accordion) {
      const button = event.currentTarget;
      const targetId = button.getAttribute('aria-controls');
      const target = accordion.querySelector(`#${targetId}`);
      const isExpanded = button.getAttribute("aria-expanded") === "true";
      const label = button.querySelector('.text').innerText;
      const labelVerb = isExpanded ? 'Collapse' : 'Expand';

      button.setAttribute('aria-expanded', String(!isExpanded));
      button.setAttribute('aria-label', `${labelVerb} ${label}`);
      target.setAttribute('aria-hidden', String(isExpanded));
    },
    attach(context) {
      const accordions = once("accordions", ".c-accordion", context);

      accordions.forEach(accordion => {
        const trigger = accordion.querySelector('.c-accordion__button');
        if (trigger) {
          trigger.addEventListener('click', event => this.toggle(event, accordion));
        }
      });
    },
  };
})(Drupal, once);
