((Drupal, once) => {
  Drupal.behaviors.MercuryEdtiorTabsTab = {
    init(group) {
      console.log('here');
      const triggers = group.querySelectorAll('.c-tabs-group__tab-button');
      triggers.forEach(trigger => trigger.addEventListener('click', event => {
        this.open(trigger, group);
        event.preventDefault();
      }));
    },
    isExpanded(trigger) {
      return trigger.getAttribute("aria-expanded") === "true";
    },
    getTarget(trigger, group) {
      const targetId = trigger.getAttribute('aria-controls');
      console.log(targetId);
      return group.querySelector(`#${targetId}`);
    },
    open(trigger, group) {
      const isExpanded = this.isExpanded(trigger);

      // Only work on items that are currently not open/visible.
      if (!isExpanded) {
        this.closeAll(group);
        const target = this.getTarget(trigger, group);

        trigger.setAttribute('aria-expanded', 'true');
        target.setAttribute('aria-hidden', 'false');
      }
    },
    closeAll(group) {
      const openTriggers = group.querySelectorAll('.c-tabs-group__tab-button[aria-expanded="true"]');
      openTriggers.forEach(trigger => {
        const target = this.getTarget(trigger, group);
        trigger.setAttribute('aria-expanded', 'false');
        target.setAttribute('aria-hidden', 'true');
      });
    },
    attach(context, settings) {
      const tabsGroups = once("tabsGroup", ".c-tabs-group", context);
      tabsGroups.forEach(group => this.init(group));
    },
  };
})(Drupal, once);
